Cubase 10.0.20 maintenance update

Thanks for the update. Installed easily and seems to be working good.

However, it did not install the current latest eLicenser control center version (6.11.6.1249) which, I was told, maintenance updates would always do.

Regards :sunglasses:

Thank you for the update ,Matthias
Great job everyone

I don’t see any mention of fixing weird behaviour in OSX10.14 aka Mojave. CB Pro 10.0.x and MacOS 10.14.4 are unusable for me. Weird crashes, file selectors that do not work, CPU load is all over the place, CB won’t quit…

All other stuff is fine(Logic Pro, Lightroom, Photoshop, etc.)

MacOS 10.13.1 and any version of CB 10 are working well. But I would like to use my iPad as an EBU metering device, and the dualscreen app is working so much better with Mojave.

I will find out tonight, I guess.

GUI problem with HiDPI selected still 100% or 200%. This means monitor set at 150% Cubase is 200%, Monitor set at 125% Cubase is at 100%. Alternative deselect HiDPI and you have a blurry GUI. What a let down.

I have yet another shortcut for eLicenser Control on my desktop, as I delete it every time it appears, means the update must have installed a new version on my PC. I always assumed it needed updating to have the entry in the eLicence database to recognise the version of product you have just installed. Which if you take that to its conclusion, means if Cubase starts eLicencer must have been upgraded… I think :slight_smile:

I’m getting an installation error message:
“An installation package for the product Steinberg Library
Manager cannot be found. Try the installation again using a valid
copy of the installation package Steinberg Cubase Update”
I haven’t moved or deleted any files and my e-Licenser is up-to-date, I have downloaded the update from both the Cubase forum and also the Download Manager. This is the first problem I’ve ever had with Cubase updates but my charmed life has come to an end :smiley: Any ideas? Thanks in advance.

Quite a lot of fixes and improvements,good job Steinberg.

Working fine here as well.

Just to reiterate/clarify…
Cubase installs an eLicense Control Center when you apply the maintenance update. I was told that it would always install the latest version available and not install an older version over a newer version that is already on the computer. Well for me, I had the latest version of eLCC version 6.11.6.1249 installed prior to installing the CB 10.0.20 maintenance update. During that, it installed an older version 6.11.6.1248 over my newer version. I complained about this before. IMO it is lame! :unamused:

:astonished: what a great update! thank you Steinberg!! :sunglasses:

Alternative buy another flat screen. I´m fine with 200 % and HDI in Cubase. LG 4k curved. No problems here.

Great update, all good so far!

Is there any information about the new Hitpoint detection? I looked at the online manual but couldn’t see anything about the new detection there.
I know Greg is doing a Google Hangout tomorrow night, and I guess he will explain the nuances during the “show”, but I wanted to have a little experiment by myself!

Thanks,

Jim B

good update so far!!

Let’s hope is a good new era of “working updates” and see more and more issues to be fixed in the future.

I beg your pardon, your right its v6.11.6.1248 not 1249, probably because its late… Is it really a problem?

Well that’s constructive. How about buying another DAW where HiDPI scaling really works which is exactly what I have done. Imagine an official statement like “All those who require HiDPI scaling at 125%, 150% and 175% go and buy another Monitor” :confused:

No… it’s not a problem per se. But, it should be a simple programming matter to ensure it always installs the latest one available on the website. These “little” things matter to me.

Regards :sunglasses:

Today i installed Cubase 10.0.20 maintenance update.
After opening it, immediately all kinds of E-licenser errors and eventually i had to shut down Cubase cause the errors made Cubase hang.
De-installed E-licenser software (with the de-installer that comes with it).
Downloaded newest E-licenser version from Steinberg site and installed that.
I then executed the maintenance option in E-licenser software.
Just for the sake, i logged my macbook out and then in.
I openend Cubase 10.0.20 again.
This time: no more E-licenser errors and Cubase started up succesfully.

Only thing I’ve noticed since installing this on my system is that Cubase now always asks whether I want to save or not on exit, even after saving the project just before. That’s a bit annoying, but rattles confidence as to why it’s happening.

I tried again to adapt to this new interface. Nothing to do. What sadness … We had a nice interface with 9.5., Not perfect, a little rough (big lines began, after the names of bold and big faders), but correct. Now it’s the ugliest interface in the market. Such a waste ! When we think that Dorico’s interface is so professional … Goodbye Steinberg. You had a chance to match Pro Tools first. Chance spoiled by the designers.

I was really hoping to have our toolbox back over 2 lines. Will this ever happen? Or is this a permanent change that NO ONE asked for?